# Envs

Environments checks.

Source:
  - envs.js, line 1

### Methods

#### (inner) amdEnv() → {boolean}

Check if AMD environment

Interfaces: `not`

Source:
  - envs.js, line 44

##### Returns:

Type:
  `boolean`

##### Example

    be.amdEnv() // true

#### (inner) android() → {boolean}

Check if is Android device

Interfaces: `not`

Source:
  - envs.js, line 133

##### Returns:

Type:
  `boolean`

##### Example

    be.android() // true

#### (inner) browserEnv() → {boolean}

Check if browser environment

Interfaces: `not`

Source:
  - envs.js, line 27

##### Returns:

Type:
  `boolean`

##### Example

    be.browserEnv() // true

#### (inner) chrome() → {boolean}

Chrome detecting

Interfaces: `not`

Source:
  - envs.js, line 186

##### Returns:

Type:
  `boolean`

##### Example

    be.chrome() // true

#### (inner) commonjsEnv() → {boolean}

Check if server environment

Interfaces: `not`

Source:
  - envs.js, line 10

##### Returns:

Type:
  `boolean`

##### Example

    be.commonjsEnv() // true

#### (inner) firefox() → {boolean}

Firefox detecting

Interfaces: `not`

Source:
  - envs.js, line 168

##### Returns:

Type:
  `boolean`

##### Example

    be.firefox() // true

#### (inner) ios() → {boolean}

Check if is iOS device

Interfaces: `not`

Source:
  - envs.js, line 61

##### Returns:

Type:
  `boolean`

##### Example

    be.ios() // true

#### (inner) ipad() → {boolean}

Check if is iPad device

Interfaces: `not`

Source:
  - envs.js, line 97

##### Returns:

Type:
  `boolean`

##### Example

    be.ipad() // true

#### (inner) iphone() → {boolean}

Check if is iPhone device

Interfaces: `not`

Source:
  - envs.js, line 79

##### Returns:

Type:
  `boolean`

##### Example

    be.iphone() // true

#### (inner) ipod() → {boolean}

Check if is iPod device

Interfaces: `not`

Source:
  - envs.js, line 115

##### Returns:

Type:
  `boolean`

##### Example

    be.ipod() // true

#### (inner) mac() → {boolean}

Mac detecting

Interfaces: `not`

Source:
  - envs.js, line 241

##### Returns:

Type:
  `boolean`

##### Example

    be.mac() // true

#### (inner) navigator() → {boolean}

Check if exists navigator object

Interfaces: `not`

Source:
  - envs.js, line 151

##### Returns:

Type:
  `boolean`

##### Example

    be.navigator() // true

#### (inner) online() → {boolean}

Check if is on line

Interfaces: `not`

Source:
  - envs.js, line 259

##### Returns:

Type:
  `boolean`

##### Example

    be.onLine() // true

#### (inner) safari() → {boolean}

Safari detecting

Interfaces: `not`

Source:
  - envs.js, line 204

##### Returns:

Type:
  `boolean`

##### Example

    be.safari() // true

#### (inner) userAgent() → {boolean}

Explorer detecting

Interfaces: `not`

Source:
  - envs.js, line 223

##### Returns:

Type:
  `boolean`

##### Example

    be.ie() // true